Bug 1570318 - [abrt] gnome-photos: g_type_check_instance_is_fundamentally_a(): gnome-photos killed by SIGSEGV
Summary: [abrt] gnome-photos: g_type_check_instance_is_fundamentally_a(): gnome-photos...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-photos
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1ca41cd798d8d2940ebea24ccd6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-21 22:08 UTC by Mathieu Velten
Modified: 2018-11-30 21:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:10:13 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (62.27 KB, text/plain)
2018-04-21 22:08 UTC, Mathieu Velten
no flags Details
File: cgroup (321 bytes, text/plain)
2018-04-21 22:08 UTC, Mathieu Velten
no flags Details
File: core_backtrace (40.73 KB, text/plain)
2018-04-21 22:08 UTC, Mathieu Velten
no flags Details
File: cpuinfo (1.91 KB, text/plain)
2018-04-21 22:08 UTC, Mathieu Velten
no flags Details
File: dso_list (26.77 KB, text/plain)
2018-04-21 22:08 UTC, Mathieu Velten
no flags Details
File: environ (1.56 KB, text/plain)
2018-04-21 22:08 UTC, Mathieu Velten
no flags Details
File: exploitable (112 bytes, text/plain)
2018-04-21 22:08 UTC, Mathieu Velten
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-21 22:08 UTC, Mathieu Velten
no flags Details
File: maps (124.77 KB, text/plain)
2018-04-21 22:08 UTC, Mathieu Velten
no flags Details
File: mountinfo (4.40 KB, text/plain)
2018-04-21 22:09 UTC, Mathieu Velten
no flags Details
File: open_fds (11.27 KB, text/plain)
2018-04-21 22:09 UTC, Mathieu Velten
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2018-04-21 22:09 UTC, Mathieu Velten
no flags Details

Description Mathieu Velten 2018-04-21 22:08:29 UTC
Description of problem:
When loading google photos.

Version-Release number of selected component:
gnome-photos-3.26.4-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-photos --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/gnome-photos
journald_cursor: s=2e37d9257ca446e080520935492fd3a5;i=fb6b4;b=5f7934f515a749ca8ca079961886d6e5;m=576c8f7f5;t=56a62eddd143f;x=897efd6211b543d2
kernel:         4.15.17-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4025
 #1 g_object_ref at gobject.c:3196
 #2 g_weak_ref_get at gobject.c:4369
 #3 g_settings_backend_invoke_closure at gsettingsbackend.c:263
 #8 g_main_context_iteration at gmain.c:3929
 #9 g_application_run at gapplication.c:2401

Comment 1 Mathieu Velten 2018-04-21 22:08:41 UTC
Created attachment 1425143 [details]
File: backtrace

Comment 2 Mathieu Velten 2018-04-21 22:08:42 UTC
Created attachment 1425144 [details]
File: cgroup

Comment 3 Mathieu Velten 2018-04-21 22:08:45 UTC
Created attachment 1425145 [details]
File: core_backtrace

Comment 4 Mathieu Velten 2018-04-21 22:08:46 UTC
Created attachment 1425146 [details]
File: cpuinfo

Comment 5 Mathieu Velten 2018-04-21 22:08:48 UTC
Created attachment 1425147 [details]
File: dso_list

Comment 6 Mathieu Velten 2018-04-21 22:08:50 UTC
Created attachment 1425148 [details]
File: environ

Comment 7 Mathieu Velten 2018-04-21 22:08:52 UTC
Created attachment 1425149 [details]
File: exploitable

Comment 8 Mathieu Velten 2018-04-21 22:08:53 UTC
Created attachment 1425150 [details]
File: limits

Comment 9 Mathieu Velten 2018-04-21 22:08:59 UTC
Created attachment 1425151 [details]
File: maps

Comment 10 Mathieu Velten 2018-04-21 22:09:02 UTC
Created attachment 1425152 [details]
File: mountinfo

Comment 11 Mathieu Velten 2018-04-21 22:09:05 UTC
Created attachment 1425153 [details]
File: open_fds

Comment 12 Mathieu Velten 2018-04-21 22:09:07 UTC
Created attachment 1425154 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2018-11-27 16:04:49 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 21:10:13 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.